Package net.shibboleth.idp.saml.session

# Class SAML1SPSession

java.lang.Object
net.shibboleth.idp.session.BasicSPSession
net.shibboleth.idp.saml.session.SAML1SPSession

All Implemented Interfaces:
  `SPSession`, `Component`, `IdentifiedComponent`

public class SAML1SPSession extends BasicSPSession
Marker subtype for a SAML 1 session, adds no actual information other than its identity as a SAML 1 session.

## Constructor Summary

Constructors
Constructor
Description
`SAML1SPSession(String id, Instant creation, Instant expiration)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getProtocol()`
Get a protocol constant for the session suitable for metadata lookup.

### Methods inherited from class net.shibboleth.idp.session.BasicSPSession

`equals, getCreationInstant, getExpirationInstant, getId, getSPSessionKey, hashCode, supportsLogoutPropagation, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SAML1SPSession

public SAML1SPSession(@Nonnull @NotEmpty String id, @Nonnull Instant creation, @Nonnull Instant expiration)
Constructor.

Parameters:
  `id` - the identifier of the service associated with this session
  `creation` - creation time of session
  `expiration` - expiration time of session

## Method Details

### getProtocol

@Nullable @NotEmpty public String getProtocol()
Get a protocol constant for the session suitable for metadata lookup.

Specified by:
  `getProtocol` in interface `SPSession`
Overrides:
  `getProtocol` in class `BasicSPSession`
Returns:
  a protocol constant